<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.18) on Fri Apr 07 11:32:11 CEST 2023 -->
<title>Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-04-07">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:T">T</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="Demineur.html#affiche()">affiche()</a></span> - Method in class <a href="Demineur.html" title="class in &lt;Unnamed&gt;">Demineur</a></dt>
<dd>
<div class="block">permet d'afficher le jeu</div>
</dd>
<dt><span class="memberNameLink"><a href="CaseIntelligente.html#ajouteVoisine(CaseIntelligente)">ajouteVoisine(CaseIntelligente)</a></span> - Method in class <a href="CaseIntelligente.html" title="class in &lt;Unnamed&gt;">CaseIntelligente</a></dt>
<dd>
<div class="block">permet d'ajouter les voisines d'une case intelligente dans sa liste de voisines</div>
</dd>
</dl>
<a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="Case.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Case</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Case.html#%3Cinit%3E()">Case()</a></span> - Constructor for class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">permet de créer une case</div>
</dd>
<dt><a href="CaseIntelligente.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">CaseIntelligente</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="CaseIntelligente.html#%3Cinit%3E()">CaseIntelligente()</a></span> - Constructor for class <a href="CaseIntelligente.html" title="class in &lt;Unnamed&gt;">CaseIntelligente</a></dt>
<dd>
<div class="block">permet de créer une case intelligente et la liste de ses voisines</div>
</dd>
<dt><span class="memberNameLink"><a href="Case.html#contientUneBombe()">contientUneBombe()</a></span> - Method in class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">permet de savoir si une case contient une bombe</div>
</dd>
</dl>
<a id="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><a href="Demineur.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Demineur</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Demineur.html#%3Cinit%3E(int,int,int)">Demineur(int, int, int)</a></span> - Constructor for class <a href="Demineur.html" title="class in &lt;Unnamed&gt;">Demineur</a></dt>
<dd>
<div class="block">permet de créer le démineur</div>
</dd>
</dl>
<a id="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="Case.html#estDecouverte()">estDecouverte()</a></span> - Method in class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">permet de savoir si une case est découverte</div>
</dd>
<dt><span class="memberNameLink"><a href="Demineur.html#estGagnee()">estGagnee()</a></span> - Method in class <a href="Demineur.html" title="class in &lt;Unnamed&gt;">Demineur</a></dt>
<dd>
<div class="block">permet de savoir si la partie est gagnée</div>
</dd>
<dt><span class="memberNameLink"><a href="Case.html#estMarquee()">estMarquee()</a></span> - Method in class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">permet de savoir si une case est marquée</div>
</dd>
<dt><span class="memberNameLink"><a href="Demineur.html#estPerdue()">estPerdue()</a></span> - Method in class <a href="Demineur.html" title="class in &lt;Unnamed&gt;">Demineur</a></dt>
<dd>
<div class="block">permet de savoir si une partie est perdue</div>
</dd>
<dt><a href="Executable.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Executable</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Executable.html#%3Cinit%3E()">Executable()</a></span> - Constructor for class <a href="Executable.html" title="class in &lt;Unnamed&gt;">Executable</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="Plateau.html#getCase(int,int)">getCase(int, int)</a></span> - Method in class <a href="Plateau.html" title="class in &lt;Unnamed&gt;">Plateau</a></dt>
<dd>
<div class="block">permet d'obtenir une case intelligente selon une position</div>
</dd>
<dt><span class="memberNameLink"><a href="Plateau.html#getNbCasesMarquees()">getNbCasesMarquees()</a></span> - Method in class <a href="Plateau.html" title="class in &lt;Unnamed&gt;">Plateau</a></dt>
<dd>
<div class="block">permet d'obtenir le nombre de cases marquées</div>
</dd>
<dt><span class="memberNameLink"><a href="Plateau.html#getNbColonnes()">getNbColonnes()</a></span> - Method in class <a href="Plateau.html" title="class in &lt;Unnamed&gt;">Plateau</a></dt>
<dd>
<div class="block">permet d'obtenir le nombre de colonnes</div>
</dd>
<dt><span class="memberNameLink"><a href="Plateau.html#getNbLignes()">getNbLignes()</a></span> - Method in class <a href="Plateau.html" title="class in &lt;Unnamed&gt;">Plateau</a></dt>
<dd>
<div class="block">permet d'obtenir le nombre de lignes du plateau</div>
</dd>
<dt><span class="memberNameLink"><a href="Plateau.html#getNbTotalBombes()">getNbTotalBombes()</a></span> - Method in class <a href="Plateau.html" title="class in &lt;Unnamed&gt;">Plateau</a></dt>
<dd>
<div class="block">permet d'obtenir le nombre total de bombes sur le plateau</div>
</dd>
<dt><span class="memberNameLink"><a href="Demineur.html#getScore()">getScore()</a></span> - Method in class <a href="Demineur.html" title="class in &lt;Unnamed&gt;">Demineur</a></dt>
<dd>
<div class="block">permet d'obtenir le score actuel</div>
</dd>
<dt><span class="memberNameLink"><a href="CaseIntelligente.html#getVoisines()">getVoisines()</a></span> - Method in class <a href="CaseIntelligente.html" title="class in &lt;Unnamed&gt;">CaseIntelligente</a></dt>
<dd>
<div class="block">permet d'obtenir les voisines d'une case</div>
</dd>
</dl>
<a id="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="Executable.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class <a href="Executable.html" title="class in &lt;Unnamed&gt;">Executable</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Case.html#marquer()">marquer()</a></span> - Method in class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">permet de marquer une case</div>
</dd>
<dt><span class="memberNameLink"><a href="Demineur.html#marquer(int,int)">marquer(int, int)</a></span> - Method in class <a href="Demineur.html" title="class in &lt;Unnamed&gt;">Demineur</a></dt>
<dd>
<div class="block">permet de marquer une case</div>
</dd>
</dl>
<a id="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="CaseIntelligente.html#nombreBombesVoisines()">nombreBombesVoisines()</a></span> - Method in class <a href="CaseIntelligente.html" title="class in &lt;Unnamed&gt;">CaseIntelligente</a></dt>
<dd>
<div class="block">permet de compter le nombre de bombes voisines d'une case intelligente</div>
</dd>
<dt><span class="memberNameLink"><a href="Demineur.html#nouvellePartie()">nouvellePartie()</a></span> - Method in class <a href="Demineur.html" title="class in &lt;Unnamed&gt;">Demineur</a></dt>
<dd>
<div class="block">permet de recommencer une partie</div>
</dd>
</dl>
<a id="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><a href="Plateau.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Plateau</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Plateau.html#%3Cinit%3E(int,int,int)">Plateau(int, int, int)</a></span> - Constructor for class <a href="Plateau.html" title="class in &lt;Unnamed&gt;">Plateau</a></dt>
<dd>
<div class="block">permet de créer le plateau</div>
</dd>
<dt><span class="memberNameLink"><a href="Case.html#poseBombe()">poseBombe()</a></span> - Method in class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">permet de poser une bombe sur une case</div>
</dd>
<dt><span class="memberNameLink"><a href="Plateau.html#poseBombe(int,int)">poseBombe(int, int)</a></span> - Method in class <a href="Plateau.html" title="class in &lt;Unnamed&gt;">Plateau</a></dt>
<dd>
<div class="block">permet de poser une bombe sur une position</div>
</dd>
<dt><span class="memberNameLink"><a href="Plateau.html#poseDesBombesAleatoirement()">poseDesBombesAleatoirement()</a></span> - Method in class <a href="Plateau.html" title="class in &lt;Unnamed&gt;">Plateau</a></dt>
<dd>
<div class="block">permet de placer des bombes aléatoirement sur le plateau</div>
</dd>
</dl>
<a id="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="Case.html#reset()">reset()</a></span> - Method in class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">permet réinitialiser la partie</div>
</dd>
<dt><span class="memberNameLink"><a href="Demineur.html#reset()">reset()</a></span> - Method in class <a href="Demineur.html" title="class in &lt;Unnamed&gt;">Demineur</a></dt>
<dd>
<div class="block">permet de tout réinitialiser</div>
</dd>
<dt><span class="memberNameLink"><a href="Plateau.html#reset()">reset()</a></span> - Method in class <a href="Plateau.html" title="class in &lt;Unnamed&gt;">Plateau</a></dt>
<dd>
<div class="block">permet de réinitialiser la partie</div>
</dd>
<dt><span class="memberNameLink"><a href="Case.html#reveler()">reveler()</a></span> - Method in class <a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></dt>
<dd>
<div class="block">permet de révéler une case</div>
</dd>
<dt><span class="memberNameLink"><a href="Demineur.html#reveler(int,int)">reveler(int, int)</a></span> - Method in class <a href="Demineur.html" title="class in &lt;Unnamed&gt;">Demineur</a></dt>
<dd>
<div class="block">permet de révéler une case voire ses voisins selon certaines conditions</div>
</dd>
</dl>
<a id="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="CaseIntelligente.html#toString()">toString()</a></span> - Method in class <a href="CaseIntelligente.html" title="class in &lt;Unnamed&gt;">CaseIntelligente</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:T">T</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
